KeyAgreementSpi.MQVwithSHA384KDFAndSharedInfo (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.asymmetric.ec

## Class KeyAgreementSpi.MQVwithSHA384KDFAndSharedInfo

- java.lang.Object
- - javax.crypto.KeyAgreementSpi
  - - org.bouncycastle.jcajce.provider.asymmetric.util.BaseAgreementSpi
    - - org.bouncycastle.jcajce.provider.asymmetric.ec.KeyAgreementSpi
      - - org.bouncycastle.jcajce.provider.asymmetric.ec.KeyAgreementSpi.MQVwithSHA384KDFAndSharedInfo

- Enclosing class:
    KeyAgreementSpi

      public static class KeyAgreementSpi.MQVwithSHA384KDFAndSharedInfo
      extends KeyAgreementSpi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.jcajce.provider.asymmetric.ec.KeyAgreementSpi

      `KeyAgreementSpi.CDHwithSHA1KDFAndSharedInfo, KeyAgreementSpi.CDHwithSHA224KDFAndSharedInfo, KeyAgreementSpi.CDHwithSHA256KDFAndSharedInfo, KeyAgreementSpi.CDHwithSHA384KDFAndSharedInfo, KeyAgreementSpi.CDHwithSHA512KDFAndSharedInfo, KeyAgreementSpi.DH, KeyAgreementSpi.DHC, KeyAgreementSpi.DHwithSHA1CKDF, KeyAgreementSpi.DHwithSHA1KDF, KeyAgreementSpi.DHwithSHA1KDFAndSharedInfo, KeyAgreementSpi.DHwithSHA224KDFAndSharedInfo, KeyAgreementSpi.DHwithSHA256CKDF, KeyAgreementSpi.DHwithSHA256KDFAndSharedInfo, KeyAgreementSpi.DHwithSHA384CKDF, KeyAgreementSpi.DHwithSHA384KDFAndSharedInfo, KeyAgreementSpi.DHwithSHA512CKDF, KeyAgreementSpi.DHwithSHA512KDFAndSharedInfo, KeyAgreementSpi.MQV, KeyAgreementSpi.MQVwithSHA1CKDF, KeyAgreementSpi.MQVwithSHA1KDFAndSharedInfo, KeyAgreementSpi.MQVwithSHA224CKDF, KeyAgreementSpi.MQVwithSHA224KDFAndSharedInfo, KeyAgreementSpi.MQVwithSHA256CKDF, KeyAgreementSpi.MQVwithSHA256KDFAndSharedInfo, KeyAgreementSpi.MQVwithSHA384CKDF, KeyAgreementSpi.MQVwithSHA384KDFAndSharedInfo, KeyAgreementSpi.MQVwithSHA512CKDF, KeyAgreementSpi.MQVwithSHA512KDFAndSharedInfo`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.jcajce.provider.asymmetric.util.BaseAgreementSpi

      `result, ukmParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyAgreementSpi.MQVwithSHA384KDFAndSharedInfo()`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.asymmetric.ec.KeyAgreementSpi

      `bigIntToBytes, engineDoPhase, engineInit, engineInit`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.asymmetric.util.BaseAgreementSpi

      `engineGenerateSecret, engineGenerateSecret, engineGenerateSecret, getAlgorithm, getKeySize, trimZeroes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyAgreementSpi.MQVwithSHA384KDFAndSharedInfo

          public KeyAgreementSpi.MQVwithSHA384KDFAndSharedInfo()